hpp-python: pyhpp::manipulation::EndEffectorTrajectorySteeringMethod Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pyhpp::manipulation::EndEffectorTrajectorySteeringMethod Struct Reference

`#include <pyhpp/manipulation/steering-method.hh>`

Inheritance diagram for pyhpp::manipulation::EndEffectorTrajectorySteeringMethod:
[legend]
Collaboration diagram for pyhpp::manipulation::EndEffectorTrajectorySteeringMethod:
[legend]

## Public Member Functions
hpp::manipulation::steeringMethod::EndEffectorTrajectoryPtr_t | eetObj () const
| EndEffectorTrajectorySteeringMethod (const hpp::core::ProblemConstPtr_t &problem)
void | setTrajectoryConstraint (const hpp::constraints::ImplicitPtr_t &ic)
void | setTrajectory (const hpp::core::PathPtr_t &eeTraj, bool se3Output)
Public Member Functions inherited from hpp::core::SteeringMethod
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
virtual SteeringMethodPtr_t | copy () const=0
ProblemConstPtr_t | problem () const
void | constraints (const ConstraintSetPtr_t &constraints)
const ConstraintSetPtr_t & | constraints () const
void | constraints (const ConstraintSetPtr_t &constraints)
const ConstraintSetPtr_t & | constraints () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::core::SteeringMethod
| SteeringMethod (const ProblemConstPtr_t &problem)
| SteeringMethod (const SteeringMethod &other)
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const=0
void | init (SteeringMethodWkPtr_t weak)

## Constructor & Destructor Documentation

## ◆ EndEffectorTrajectorySteeringMethod()

pyhpp::manipulation::EndEffectorTrajectorySteeringMethod::EndEffectorTrajectorySteeringMethod | ( | const hpp::core::ProblemConstPtr_t & | problem | ) |

## Member Function Documentation

## ◆ eetObj()

hpp::manipulation::steeringMethod::EndEffectorTrajectoryPtr_t pyhpp::manipulation::EndEffectorTrajectorySteeringMethod::eetObj | ( |  | ) | const

## ◆ setTrajectory()

void pyhpp::manipulation::EndEffectorTrajectorySteeringMethod::setTrajectory | ( | const hpp::core::PathPtr_t & | eeTraj,
|  | bool | se3Output )

## ◆ setTrajectoryConstraint()

void pyhpp::manipulation::EndEffectorTrajectorySteeringMethod::setTrajectoryConstraint | ( | const hpp::constraints::ImplicitPtr_t & | ic | ) |

The documentation for this struct was generated from the following files:

- src/pyhpp/manipulation/steering-method.hh
- src/pyhpp/manipulation/steering-method.cc